var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var approvalExecutions_exports = {};
__export(approvalExecutions_exports, {
  default: () => approvalExecutions_default
});
module.exports = __toCommonJS(approvalExecutions_exports);
var import_database = require("@nocobase/database");
var approvalExecutions_default = (0, import_database.defineCollection)({
  namespace: "workflow.approvalExecutions",
  duplicator: "required",
  name: "approvalExecutions",
  fields: [
    {
      type: "bigInt",
      name: "id",
      primaryKey: true,
      autoIncrement: true
    },
    {
      type: "belongsTo",
      name: "approval",
      foreignKey: "approvalId",
      primaryKey: false
    },
    {
      type: "belongsTo",
      name: "execution",
      foreignKey: "executionId",
      primaryKey: false
    },
    {
      type: "integer",
      name: "status"
    },
    {
      type: "jsonb",
      name: "snapshot"
    },
    {
      type: "hasMany",
      name: "records",
      target: "approvalRecords"
    }
  ]
});
