var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var approvalRecords_exports = {};
__export(approvalRecords_exports, {
  default: () => approvalRecords_default
});
module.exports = __toCommonJS(approvalRecords_exports);
var import_database = require("@nocobase/database");
var approvalRecords_default = (0, import_database.defineCollection)({
  namespace: "workflow.approvalRecords",
  duplicator: "required",
  name: "approvalRecords",
  fields: [
    {
      type: "belongsTo",
      name: "approval"
    },
    {
      type: "belongsTo",
      name: "approvalExecution"
    },
    {
      type: "belongsTo",
      name: "user",
      target: "users"
    },
    {
      type: "belongsTo",
      name: "job",
      target: "jobs"
    },
    {
      type: "belongsTo",
      name: "execution"
    },
    {
      type: "belongsTo",
      name: "node",
      target: "flow_nodes"
    },
    {
      type: "belongsTo",
      name: "workflow"
    },
    {
      type: "string",
      name: "index"
    },
    {
      type: "integer",
      name: "status"
    },
    {
      type: "jsonb",
      name: "snapshot",
      defaultValue: {}
    },
    {
      type: "text",
      name: "comment"
    }
  ]
});
